Data - Retrieve Classes
Sınıfların listesini ve özelliklerini alır.
POST http://<Servername>/OperationsManager/data/scomClasses
İstek Gövdesi
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Tür | Description |
|---|---|---|
| criteria |
string |
Aranacak ölçütleri belirtin |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
TAMAM. Sınıfların listesi ve özellikleri başarıyla alındı. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Örnekler
RetrieveClasses
Örnek isteği
POST http://<Servername>/OperationsManager/data/scomClasses
[
"DisplayName LIKE '%.net windows%'"
]
Örnek yanıt
{
"scopeDatas": [
{
"id": "c9dff298-d539-ee41-fc32-f7ba1b42f95e",
"displayName": ".NET Windows Service",
"className": "Microsoft.SystemCenter.ApplicationMonitoring.Library!Microsoft.SystemCenter.ApplicationMonitoring.Net.NTServiceComponent",
"path": null,
"fullName": null
}
]
}
Tanımlar
| Name | Description |
|---|---|
|
Scope |
|
|
Scope |
ScopeData
| Name | Tür | Description |
|---|---|---|
| className |
string |
Sınıf Adı |
| displayName |
string |
Görüntü adı |
| fullName |
string |
Adı ve Soyadı |
| id |
string |
Kimlik |
| path |
string |
Yol |
ScopeDataResponse
| Name | Tür | Description |
|---|---|---|
| scopeDatas |
Kapsam Verileri |